<template>
  <svg height="300" width="300" viewBox="0 0 135.467 135.467" xmlns="http://www.w3.org/2000/svg">
    <!-- Texts -->
    <text style="fill: currentColor;line-height:1.25;text-align:center"
          x="65.204"
          y="33.946"
          font-size="0.5em"
          text-anchor="middle"
          stroke-width=".265"
          transform="translate(2.705 7.522)">
      <tspan style="text-align:center" x="65.204" y="33.946">{{ $t(`activerecord.attributes.resource/crop_rotation_group.leaf`) }}</tspan>
    </text>

    <text style="fill: currentColor;line-height:1.25;text-align:center"
          x="65.204"
          y="33.946"
          font-size="0.5em"
          text-anchor="middle"
          stroke-width=".265"
          transform="translate(47.434 47.798)">
      <tspan style="text-align:center" x="65.204" y="33.946">{{ $t(`activerecord.attributes.resource/crop_rotation_group.manure`) }}</tspan>
    </text>

    <text style="fill: currentColor;line-height:1.25;text-align:center"
          x="65.204"
          y="33.946"
          font-size="0.5em"
          text-anchor="middle"
          stroke-width=".265"
          transform="translate(2.705 96.714)">
      <tspan style="text-align:center" x="65.204" y="33.946">{{ $t(`activerecord.attributes.resource/crop_rotation_group.legume`) }}</tspan>
    </text>

    <text style="fill: currentColor;line-height:1.25;text-align:center"
          x="65.204"
          y="33.946"
          font-size="0.5em"
          text-anchor="middle"
          stroke-width=".265"
          transform="translate(-40.829 47.798)">
      <tspan style="text-align:center" x="65.204" y="33.946">{{ $t(`activerecord.attributes.resource/crop_rotation_group.root`) }}</tspan>
    </text>

    <!-- Arrows -->
    <g stroke-width="2.117"
       fill="none"
       style="stroke: var(--state-color-mute);"
       stroke-linecap="round"
       stroke-linejoin="round">
      <path d="M51.628 23.785a46.822 46.822 0 00-27.715 27.512" />
      <path d="M47.893 28.658l3.735-4.873-6.157-.631" />
    </g>
    <g stroke-width="2.117"
       fill="none"
       style="stroke: var(--state-color-mute);"
       stroke-linecap="round"
       stroke-linejoin="round">
      <path d="M111.681 51.634A46.822 46.822 0 0084.17 23.92" />
      <path d="M106.809 47.899l4.872 3.735.632-6.157" />
    </g>
    <g stroke-width="2.117"
       fill="none"
       style="stroke: var(--state-color-mute);"
       stroke-linecap="round"
       stroke-linejoin="round">
      <path d="M83.832 111.687a46.822 46.822 0 0027.715-27.512" />
      <path d="M87.568 106.814l-3.736 4.873 6.158.631" />
    </g>
    <g stroke-width="2.117"
       fill="none"
       style="stroke: var(--state-color-mute);"
       stroke-linecap="round"
       stroke-linejoin="round">
      <path d="M23.78 83.838a46.822 46.822 0 0027.511 27.715" />
      <path d="M28.652 87.573l-4.873-3.735-.63 6.158" />
    </g>

    <!-- Icon: legume -->
    <g style="fill: var(--state-color-green)">
      <path d="M72.323 103.118c-2.278-.027-4.528 1.6-5.481 3.232-1.653 2.832-4.443 4.744-7.078 6.633-2.28 1.634-2.615 5.232-.894 7.457 1.327 1.715 3.775 2.626 5.833 1.913 2.5-.867 6.923-4.392 9.227-7.09 1.32-1.638 2.62-3.39 3.229-5.42.729-2.435-.727-5.036-2.944-6.277a4.357 4.357 0 00-1.892-.448zm-.203 1.57c.477-.022.936.064 1.372.272 1.666.956 2.654 2.804 2.166 4.433-.514 1.716-1.642 3.265-2.931 4.866-2.205 2.576-6.392 5.87-8.537 6.614-1.399.485-3.11-.136-4.081-1.392-1.196-1.545-.938-4.146.568-5.225 2.62-1.878 5.69-3.986 7.518-7.117.69-1.18 2.267-2.377 3.925-2.452z" />
      <path d="M67.14 109.336a.783.783 0 00-.453.393c-.336.674-1.38 1.71-2.159 2.134a.783.783 0 00-.313 1.063.783.783 0 001.062.313c1.121-.61 2.245-1.673 2.812-2.81a.783.783 0 00-.35-1.05.783.783 0 00-.599-.043z" />
    </g>

    <!-- Icon: manure -->
    <path style="fill: var(--state-color-green)" d="M112.417 54.22a.783.783 0 00-.783.783v12.06l-7.557-12.466a.783.783 0 00-1.454.406v14.863a.783.783 0 00.784.783.783.783 0 00.783-.783v-12.06l7.557 12.466a.783.783 0 001.453-.406V55.003a.783.783 0 00-.783-.783zm6.363 8.722c-.84.008-1.688.282-2.353.858-.664.576-1.11 1.475-1.11 2.54a.783.783 0 00.784.782.783.783 0 00.783-.783c0-.656.227-1.058.57-1.356.343-.297.838-.47 1.34-.474.504-.004.993.158 1.33.448.34.29.567.69.567 1.367s-.189.97-.556 1.296c-.368.326-.965.617-1.64.962-.674.344-1.43.752-2.039 1.454-.608.701-1.01 1.697-1.01 2.983a.783.783 0 00.783.784h5.245a.783.783 0 00.784-.784.783.783 0 00-.784-.783h-4.387c.1-.513.293-.874.553-1.174.376-.434.93-.76 1.568-1.085.637-.326 1.35-.638 1.967-1.186a3.26 3.26 0 001.083-2.467c0-1.077-.444-1.982-1.113-2.556-.67-.574-1.524-.833-2.364-.826z" />
    <!-- Icon: root -->
    <path style="fill: var(--state-color-green)" d="M32.317 54.296c-.949-.048-2.352 2.112-2.352 2.112s-.176-2.037-.915-2.02c-1.004.022-1.231 2.456-1.272 3.056-1.399-.395-2.603-.57-3.635-.549-7.585.148-6.17 10.471-9.15 15.788a7.264 7.264 0 01-.825 1.195 29.83 29.83 0 011.582-.473c7.938-2.152 19.126-2.501 15.103-13.091.825-.266 3.086-1.092 2.897-2.148-.12-.677-1.996-.525-1.996-.525s1.776-2.636.841-3.254a.546.546 0 00-.278-.09zm-6.648 4.12c.786.016 1.674.148 2.582.668.546.234.712.755.915 1.237 1.398 3.322 1.19 5.423-.055 6.865l-4.344-4.35a.783.783 0 00-1.108 1.106l4.256 4.263c-1.75 1.126-4.386 1.745-7.343 2.407a.783.783 0 00-.04-.047l-1.152-1.22a.783.783 0 10-1.14 1.074l.56.593c-.509.116-1.023.237-1.54.364.634-1.784 1.039-3.764 1.457-5.604l2.113 2.227a.783.783 0 001.137-1.078l-2.809-2.961c.889-3.334 2.003-5.44 5.015-5.499.427-.008.936-.056 1.496-.044z" />
    <!-- Icon: leaf, copied from PhosphorIcons -->
    <path style="fill: var(--state-color-green)" d="M77.35 15.097a.783.783 0 00-.737-.737c-7.454-.437-13.425 1.807-15.97 6.017a8.527 8.527 0 00-1.25 4.798c.056 1.559.51 3.133 1.35 4.685l-1.91 1.91a.784.784 0 001.108 1.108l1.91-1.91c1.55.839 3.126 1.293 4.684 1.349q.163.006.326.006a8.512 8.512 0 004.472-1.256c4.21-2.545 6.455-8.515 6.016-15.97zm-6.825 14.63c-2.228 1.35-4.864 1.372-7.511.076l8.678-8.677a.784.784 0 00-1.108-1.108L61.907 28.7c-1.292-2.644-1.273-5.288.075-7.511 2.163-3.571 7.304-5.526 13.836-5.293.234 6.527-1.722 11.669-5.293 13.832z" />
  </svg>
</template>

<script>
/**
 * Schema describing the crop rotation order
 */
export default {
  name: 'GpaCropRotationSchema',
}
</script>
